Skip to main content
GET
/
institutions
/
{institution_code}
Read institution
curl --request GET \
  --url https://int-api.mx.com/institutions/{institution_code} \
  --header 'Accept-Version: <accept-version>' \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://int-api.mx.com/institutions/{institution_code}"

headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};

fetch('https://int-api.mx.com/institutions/{institution_code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "institution": {
    "client_status": "AVAILABLE",
    "code": "mxbank",
    "created_at": "2025-02-13T18:08:00+00:00",
    "forgot_password_url": "https://example.url.mxbank.com/forgot-password",
    "forgot_username_url": "https://example.url.mxbank.com/forgot-username",
    "guid": "INS-1572a04c-912b-59bf-5841-332c7dfafaef",
    "instructional_text": "Some instructional text <a href=\"https://example.url.mxbank.com/instructions\" id=\"instructional_text\">for end users</a>.",
    "instructional_text_steps": [
      "Step 1: Do this.",
      "Step 2: Do that."
    ],
    "is_disabled_by_client": false,
    "is_hidden": true,
    "iso_country_code": "US",
    "medium_logo_url": "https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/100x100/default_100x100.png",
    "name": "MX Bank",
    "small_logo_url": "https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/50x50/default_50x50.png",
    "status": "OPERATIONAL",
    "supported_products": [],
    "supports_oauth": true,
    "supports_tax_document": true,
    "trouble_signing_in_url": "https://example.url.mxbank.com/login-trouble",
    "url": "https://www.mxbank.com"
  }
}
This endpoint returns information about the institution specified by institution_code. The v20250224 update enhances the granularity of the information provided about the services and products supported by the institution.

Authorizations

Authorization
string
header
required

The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.

Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.

curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

Path Parameters

institution_code
string
required

A unique identifier for each institution, defined by MX.

Response

200 - application/json

OK

institution
object